Get a network pool
GET/v1/network_pools/{network_pool_id}
A GET request to the /v1/network_pools/{network_pool_id} endpoint will display network pool details. Specify the pool in the path parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
network_pool_id | stringA unique identifier of a pool. |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/network_pools/N1aM4PeW"{ "id": "N1aM4PeW", "title": "CPN", "cidr": "10.128.0.0/23", "type": "private", "location_ids": [ 1888 ], "location_codes": [ "location3880" ], "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "updated_at": "2025-12-31T00:00:00Z", "created_at": "2025-12-31T00:00:00Z"}